package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 最终准备页面配置对象 final_config
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
public class FinalConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 客服微信二维码 */
    @Excel(name = "客服微信二维码")
    private String finalImage;

    /** 工具包提示文本 */
    @Excel(name = "工具包提示文本")
    private String finalText;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setFinalImage(String finalImage) 
    {
        this.finalImage = finalImage;
    }

    public String getFinalImage() 
    {
        return finalImage;
    }
    public void setFinalText(String finalText) 
    {
        this.finalText = finalText;
    }

    public String getFinalText() 
    {
        return finalText;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("finalImage", getFinalImage())
            .append("finalText", getFinalText())
            .toString();
    }
}
